Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.ac
Interface ContentItem

    public interface ContentItem

The `AccessControlAttributeBasedSecurityCallbackInterface` provides methods to retrieve detailed information about the current ContentItem.

Since:
  8.5

Method Summary
`java.util.Set<? extends java.lang.String>` | `getCategories()` Returns the Collection of category details for the current ContentItem.
`java.util.Set<? extends java.lang.String>` | `getComponentNames()` Returns the Collection of content component names for the ContentItem.
`java.lang.String` | `getComponentText(java.lang.String ComponentName)` Returns the textual content of the requested component.
`java.util.Set<? extends java.lang.String>` | `getHierarchicalCategories()` Returns the Collection of hierarchical category details for the current ContentItem.
`java.util.Set<? extends java.lang.String>` | `getKeywords()` Returns the Collection of keywords for the current ContentItem.

Method Detail

### getCategories

    java.util.Set<? extends java.lang.String> getCategories()

  Returns the Collection of category details for the current ContentItem.

  Returns:
    Collection of all categories of the current ContentItem each category is represented by a unmodifiable Name. Returns never null.

### getHierarchicalCategories

    java.util.Set<? extends java.lang.String> getHierarchicalCategories()

  Returns the Collection of hierarchical category details for the current ContentItem.

  Returns:
    Collection of all categories of the current ContentItem and parents each category is represented by a unmodifiable Name. Returns never null.

### getKeywords

    java.util.Set<? extends java.lang.String> getKeywords()

  Returns the Collection of keywords for the current ContentItem. Depending on the configuration monitor performance.

  Returns:
    Collection of unmodifiable keywords for the current ContentItem. Returns never null.

### getComponentNames

    java.util.Set<? extends java.lang.String> getComponentNames()

  Returns the Collection of content component names for the ContentItem.

  Returns:
    Collection of unmodifiable content component names for the current ContentItem. Returns never null.

### getComponentText

    java.lang.String getComponentText(java.lang.String ComponentName)

  Returns the textual content of the requested component. Only supports: com.ibm.workplace.wcm.api.TextComponent; com.ibm.workplace.wcm.api.ShortTextComponent; com.ibm.workplace.wcm.api.HTMLComponent; For other WCM Components or wrong ComponentName the return set is empty.

  Parameters:
    `findComponent` - The name of the requested content component.
  Returns:
    Unmodifiable String content of the requested content component.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD